Linux Archive

Linux Archive (http://www.linux-archive.org/)
-   Debian KDE (http://www.linux-archive.org/debian-kde/)
-   -   Upgrade to 4.5.1 breaks kdiff3 (http://www.linux-archive.org/debian-kde/425289-upgrade-4-5-1-breaks-kdiff3.html)

George Kiagiadakis 09-10-2010 11:02 AM

Upgrade to 4.5.1 breaks kdiff3
 
On Fri, Sep 10, 2010 at 11:41 AM, Mario Galanti <mario.galanti@gmail.com> wrote:
> Hi,
>
> first of all, thank you for the packaging of KDE SC 4.5.1! I installed it
> this morning and up to now it's running great!
> As the subject says, I'm having a problem with kdiff3. The upgrade to 4.5.1
> breaks one of its dependencies:

Hello,

I am aware of that. However, I tried to rebuild it with kdelibs 4.5.1
and it failed to build. Apparently this is an upstream kdiff3 issue. I
may have a look at that, but I don't promise I will fix it.

Regards,
George


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTi=haVFGHGoVJ+vbbsUgyay-ciCAk+2+RnVTgxiH@mail.gmail.com">http://lists.debian.org/AANLkTi=haVFGHGoVJ+vbbsUgyay-ciCAk+2+RnVTgxiH@mail.gmail.com

André Wöbbeking 09-10-2010 02:23 PM

Upgrade to 4.5.1 breaks kdiff3
 
Hi,

On Friday 10 September 2010, George Kiagiadakis wrote:
> On Fri, Sep 10, 2010 at 11:41 AM, Mario Galanti <mario.galanti@gmail.com>
wrote:
> > Hi,
> >
> > first of all, thank you for the packaging of KDE SC 4.5.1! I installed it
> > this morning and up to now it's running great!
> > As the subject says, I'm having a problem with kdiff3. The upgrade to
> > 4.5.1
>
> > breaks one of its dependencies:
> Hello,
>
> I am aware of that. However, I tried to rebuild it with kdelibs 4.5.1
> and it failed to build. Apparently this is an upstream kdiff3 issue. I
> may have a look at that, but I don't promise I will fix it.

Which version did you build, a released tar ball or from KDE's repository? In
the latter I only found one change after the last tar ball was released,
regarding creating translations.


Cheers,
André


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201009101623.00195.list@onlinehome.de">http://lists.debian.org/201009101623.00195.list@onlinehome.de

George Kiagiadakis 09-10-2010 04:39 PM

Upgrade to 4.5.1 breaks kdiff3
 
On Fri, Sep 10, 2010 at 5:23 PM, André Wöbbeking <list@onlinehome.de> wrote:
> Hi,
>
> On Friday 10 September 2010, George Kiagiadakis wrote:
>> On Fri, Sep 10, 2010 at 11:41 AM, Mario Galanti <mario.galanti@gmail.com>
> wrote:
>> > Hi,
>> >
>> > first of all, thank you for the packaging of KDE SC 4.5.1! I installed it
>> > this morning and up to now it's running great!
>> > As the subject says, I'm having a problem with kdiff3. The upgrade to
>> > 4.5.1
>>
>> > breaks one of its dependencies:
>> Hello,
>>
>> I am aware of that. However, I tried to rebuild it with kdelibs 4.5.1
>> and it failed to build. Apparently this is an upstream kdiff3 issue. I
>> may have a look at that, but I don't promise I will fix it.
>
> Which version did you build, a released tar ball or from KDE's repository? In
> the latter I only found one change after the last tar ball was released,
> regarding creating translations.
>

I used whatever is in the archive. I used apt-get source kdiff3 to get
it. The build issue is indeed something to do with translations, so
maybe this change fixes it. I will check it out later.

Regards,
George


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: AANLkTinUU4kQSq8GPCNpuf94C5RvHxGkD4JAKrMSLBrP@mail .gmail.com">http://lists.debian.org/AANLkTinUU4kQSq8GPCNpuf94C5RvHxGkD4JAKrMSLBrP@mail .gmail.com

Frederik Schwarzer 09-10-2010 05:00 PM

Upgrade to 4.5.1 breaks kdiff3
 
[George Kiagiadakis - Freitag 10 September 2010 18:39:56]
> On Fri, Sep 10, 2010 at 5:23 PM, André Wöbbeking <list@onlinehome.de> wrote:
> > Hi,
> >
> > On Friday 10 September 2010, George Kiagiadakis wrote:
> >> On Fri, Sep 10, 2010 at 11:41 AM, Mario Galanti <mario.galanti@gmail.com>
> > wrote:
> >> > Hi,
> >> >
> >> > first of all, thank you for the packaging of KDE SC 4.5.1! I installed it
> >> > this morning and up to now it's running great!
> >> > As the subject says, I'm having a problem with kdiff3. The upgrade to
> >> > 4.5.1
> >>
> >> > breaks one of its dependencies:
> >> Hello,
> >>
> >> I am aware of that. However, I tried to rebuild it with kdelibs 4.5.1
> >> and it failed to build. Apparently this is an upstream kdiff3 issue. I
> >> may have a look at that, but I don't promise I will fix it.
> >
> > Which version did you build, a released tar ball or from KDE's repository? In
> > the latter I only found one change after the last tar ball was released,
> > regarding creating translations.
> >
>
> I used whatever is in the archive. I used apt-get source kdiff3 to get
> it. The build issue is indeed something to do with translations, so
> maybe this change fixes it. I will check it out later.

KDiff3 from SVN builds fine here with KDE 4.5.1.

Regards


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: 201009101900.49671.schwarzerf@gmail.com">http://lists.debian.org/201009101900.49671.schwarzerf@gmail.com

Xavier Brochard 09-17-2010 09:13 AM

Upgrade to 4.5.1 breaks kdiff3
 
Mario Galanti wrote:
> As the subject says, I'm having a problem with kdiff3. The upgrade to
> 4.5.1 breaks one of its dependencies:

another workaround is to use the kdiff3-qt version which doesn't depend on
kde libs

xavier


--
To UNSUBSCRIBE, email to debian-kde-REQUEST@lists.debian.org
with a subject of "unsubscribe". Trouble? Contact listmaster@lists.debian.org
Archive: i6vbi0$4fi$1@dough.gmane.org">http://lists.debian.org/i6vbi0$4fi$1@dough.gmane.org


All times are GMT. The time now is 05:16 AM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.